import Dexie from "dexie";
import { CoinListItemProps } from "@newSdk/service/api/payment/coinList";
import { CoinSettingItemProps } from "@newSdk/service/api/payment/coinSetting";
export declare type CoinItemProps = {
    id: string;
    decimal: number;
    status: number;
    price: number;
};
declare class Coin {
    static authorize: boolean;
    static dbName: string;
    private db?;
    private store?;
    Event: {
        change: string;
    };
    init(db: Dexie): void;
    bulkPut(list: CoinItemProps[]): void;
    bulkGetCoinDetail(ids: string[]): Promise<CoinItemProps[]>;
    publish(list: CoinItemProps[]): void;
    transformCoinItemProps(item: CoinListItemProps & CoinSettingItemProps): CoinItemProps;
}
export declare const coinModal: Coin;
export default coinModal;
